GET /events
Summary: Get EONET Natural Events
Operation ID: getEONETEvents
Auth: api_key
Operation ID: getEONETEvents
Auth: api_key
Description
Retrieve natural events from NASA's Earth Observatory Natural Event Tracker (EONET).
Parameters (5)
category
(string, query, optional)
Filter by category ID (e.g., 'wildfires', 'earthquakes')
days
(integer, query, optional)
Number of days to look back
limit
(integer, query, optional, default: 10)
Limit the number of events returned
source
(string, query, optional)
Filter by source ID (e.g., 'IRWIN', 'NASA_ESRS')
status
(string, query, optional)
Filter by event status
Constraints: {'enum': ['open', 'closed', 'all']}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Get recent natural events (default) | curl |
https://api.nasa.gov/planetary/events |
|
| Get wildfires from last 7 days | curl |
https://api.nasa.gov/planetary/events?category=wildfires&days=7 |
|
| Get earthquakes with limit of 5 results | curl |
https://api.nasa.gov/planetary/events?category=earthquakes&limit=5&days=30 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:42:59.210585 | 404 | 797ms | |
| 2026-03-23 09:50:46.473589 | 404 | 790ms | |
| 2026-03-23 09:49:42.568919 | 404 | 852ms |